Jump to content
  • 0
Sign in to follow this  
jcsnider

Editor Initialization GraphicsAdapter Error Geforce 8200m

Question

1 hour ago, Solstice said:

Well I'm always interested in there being more engines about. Especially since some of us can't render Intersect on some of their older devices. I just realised that using Intersect is going to completely cut off any potential players pre-dx 11. That's actually a somewhat big deal, since people with newer computers don't tend to play 2D orpgs.

I don't want to derail this topic but Intersect should work on almost all machines that support DX9 and OpenGL framebuffers. A very large majority. 

Share this post


Link to post
Share on other sites

5 answers to this question

Recommended Posts

  • 0
18 minutes ago, jcsnider said:

I don't want to derail this topic but Intersect should work on almost all machines that support DX9 and OpenGL framebuffers. A very large majority. 

 

Yeah, you're right it's not the client that fails, it's the editor. I misremembered.

My old laptop has a geforce 8200m graphics chipset  and when I open the editor, the editor does this:

Spoiler

0da3c682ee.png

 

Is this not a DirectX issue?

Share this post


Link to post
Share on other sites
  • 0

So the editor does require DXGI 1.1 which is a DX11 component it seems.

 

It looks like you can install it on Vista if you get the Microsoft KB971644 platform update. (Hard to find a link though, but I'm sure one is out there.)

 

Long term we will be switching the editor to also use OpenGL so it will have the same exact operating requirements as the client. 

 

The client right now should be able to run on your machine there, which means that we shouldn't have any major concerns when it comes to restricting our player base.

Share this post


Link to post
Share on other sites
  • 0

Looking into it, it seems that (Microsoft KB971644 platform update) is in fact an amalgamation of other updates bundled together for windows server 2008 and windows vista itself. I'm going to try downloading just the graphics and imaging portion of this package.

 

The list of packages inside the 971644 are listed here:

https://support.microsoft.com/en-gb/help/971644/description-of-the-platform-update-for-windows-server-2008-and-the-pla

 

Edit: Nevermind, downloaded the update and ran the installer but it threw an error at me.

Spoiler

88909a0e21.png

Trying to figure it out.

 

Edit: Turns out the Nvidia GeForce 8200M G chipset I have is only DX10 capable, not DX11. So there is literally nothing I can do to solve that and use Editor on this machine. Still don't understand why the client is DX10 and the editor is DX11. Why not have both use DX10?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...